## NAS Set System Selection Preference request NAS Set System Selection Preference request |

## Functions

QmiMessageNasSetSystemSelectionPreferenceInput * | qmi_message_nas_set_system_selection_preference_input_new ()
QmiMessageNasSetSystemSelectionPreferenceInput * | qmi_message_nas_set_system_selection_preference_input_ref ()
void | qmi_message_nas_set_system_selection_preference_input_unref ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_extended_lte_band_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_extended_lte_band_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_voice_domain_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_voice_domain_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_usage_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_usage_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_network_selection_registration_restriction ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_network_selection_registration_restriction ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_acquisition_order_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_acquisition_order_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_td_scdma_band_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_td_scdma_band_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_mnc_pds_digit_include_status ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_mnc_pds_digit_include_status ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_gsm_wcdma_acquisition_order_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_gsm_wcdma_acquisition_order_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_service_domain_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_service_domain_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_change_duration ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_change_duration ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_network_selection_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_network_selection_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_lte_band_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_lte_band_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_roaming_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_roaming_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_cdma_prl_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_cdma_prl_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_band_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_band_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_mode_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_mode_preference ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_emergency_mode ()
gboolean | qmi_message_nas_set_system_selection_preference_input_set_emergency_mode ()
QmiMessageNasSetSystemSelectionPreferenceOutput * | qmi_message_nas_set_system_selection_preference_output_ref ()
void | qmi_message_nas_set_system_selection_preference_output_unref ()
gboolean | qmi_message_nas_set_system_selection_preference_output_get_result ()
void | qmi_client_nas_set_system_selection_preference ()
QmiMessageNasSetSystemSelectionPreferenceOutput * | qmi_client_nas_set_system_selection_preference_finish ()

## Types and Values

| QmiMessageNasSetSystemSelectionPreferenceInput
| QmiMessageNasSetSystemSelectionPreferenceOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageNasSetSystemSelectionPreferenceInput
        ╰── QmiMessageNasSetSystemSelectionPreferenceOutput

## Description

## Functions

### qmi_message_nas_set_system_selection_preference_input_new ()

    QmiMessageNasSetSystemSelectionPreferenceInput *
    qmi_message_nas_set_system_selection_preference_input_new
                                   (void);

Allocates a new QmiMessageNasSetSystemSelectionPreferenceInput.

#### Returns

the newly created QmiMessageNasSetSystemSelectionPreferenceInput. The returned value should be freed with `qmi_message_nas_set_system_selection_preference_input_unref()`.

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_ref ()

    QmiMessageNasSetSystemSelectionPreferenceInput *
    qmi_message_nas_set_system_selection_preference_input_ref
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_unref ()

    void
    qmi_message_nas_set_system_selection_preference_input_unref
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_get_extended_lte_band_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_extended_lte_band_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    guint64 *value_extended_lte_band_preference_mask_low,
                                    guint64 *value_extended_lte_band_preference_mask_mid_low,
                                    guint64 *value_extended_lte_band_preference_mask_mid_high,
                                    guint64 *value_extended_lte_band_preference_mask_high,
                                    GError **error);

Get the 'Extended LTE Band Preference' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_extended_lte_band_preference_mask_low | a placeholder for the output guint64, or `NULL` if not required. | [out]
value_extended_lte_band_preference_mask_mid_low | a placeholder for the output guint64, or `NULL` if not required. | [out]
value_extended_lte_band_preference_mask_mid_high | a placeholder for the output guint64, or `NULL` if not required. | [out]
value_extended_lte_band_preference_mask_high | a placeholder for the output guint64, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.20

### qmi_message_nas_set_system_selection_preference_input_set_extended_lte_band_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_extended_lte_band_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    guint64 value_extended_lte_band_preference_mask_low,
                                    guint64 value_extended_lte_band_preference_mask_mid_low,
                                    guint64 value_extended_lte_band_preference_mask_mid_high,
                                    guint64 value_extended_lte_band_preference_mask_high,
                                    GError **error);

Set the 'Extended LTE Band Preference' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_extended_lte_band_preference_mask_low | a guint64. |
value_extended_lte_band_preference_mask_mid_low | a guint64. |
value_extended_lte_band_preference_mask_mid_high | a guint64. |
value_extended_lte_band_preference_mask_high | a guint64. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.20

### qmi_message_nas_set_system_selection_preference_input_get_voice_domain_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_voice_domain_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasVoiceDomainPreference *value_voice_domain_preference,
                                    GError **error);

Get the 'Voice Domain Preference' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_voice_domain_preference | a placeholder for the output QmiNasVoiceDomainPreference, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_nas_set_system_selection_preference_input_set_voice_domain_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_voice_domain_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasVoiceDomainPreference value_voice_domain_preference,
                                    GError **error);

Set the 'Voice Domain Preference' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_voice_domain_preference | a QmiNasVoiceDomainPreference. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_nas_set_system_selection_preference_input_get_usage_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_usage_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasUsagePreference *value_usage_preference,
                                    GError **error);

Get the 'Usage Preference' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_usage_preference | a placeholder for the output QmiNasUsagePreference, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_nas_set_system_selection_preference_input_set_usage_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_usage_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasUsagePreference value_usage_preference,
                                    GError **error);

Set the 'Usage Preference' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_usage_preference | a QmiNasUsagePreference. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_nas_set_system_selection_preference_input_get_network_selection_registration_restriction ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_network_selection_registration_restriction
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasNetworkSelectionRegistrationRestriction *value_network_selection_registration_restriction,
                                    GError **error);

Get the 'Network Selection Registration Restriction' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_network_selection_registration_restriction | a placeholder for the output QmiNasNetworkSelectionRegistrationRestriction, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_nas_set_system_selection_preference_input_set_network_selection_registration_restriction ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_network_selection_registration_restriction
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasNetworkSelectionRegistrationRestriction value_network_selection_registration_restriction,
                                    GError **error);

Set the 'Network Selection Registration Restriction' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_network_selection_registration_restriction | a QmiNasNetworkSelectionRegistrationRestriction. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_nas_set_system_selection_preference_input_get_acquisition_order_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_acquisition_order_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    GArray **value_acquisition_order_preference,
                                    GError **error);

Get the 'Acquisition Order Preference' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_acquisition_order_preference | a placeholder for the output GArray of QmiNasRadioInterface elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type QmiNasRadioInterface][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_nas_set_system_selection_preference_input_set_acquisition_order_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_acquisition_order_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    GArray *value_acquisition_order_preference,
                                    GError **error);

Set the 'Acquisition Order Preference' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_acquisition_order_preference | a GArray of QmiNasRadioInterface elements. A new reference to `value_acquisition_order_preference` will be taken. | [in][element-type QmiNasRadioInterface]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_nas_set_system_selection_preference_input_get_td_scdma_band_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_td_scdma_band_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasTdScdmaBandPreference *value_td_scdma_band_preference,
                                    GError **error);

Get the 'TD SCDMA Band Preference' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_td_scdma_band_preference | a placeholder for the output QmiNasTdScdmaBandPreference, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_set_td_scdma_band_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_td_scdma_band_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasTdScdmaBandPreference value_td_scdma_band_preference,
                                    GError **error);

Set the 'TD SCDMA Band Preference' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_td_scdma_band_preference | a QmiNasTdScdmaBandPreference. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_get_mnc_pds_digit_include_status ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_mnc_pds_digit_include_status
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    gboolean *value_mnc_pds_digit_include_status,
                                    GError **error);

Get the 'MNC PDS Digit Include Status' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_mnc_pds_digit_include_status | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_set_mnc_pds_digit_include_status ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_mnc_pds_digit_include_status
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    gboolean value_mnc_pds_digit_include_status,
                                    GError **error);

Set the 'MNC PDS Digit Include Status' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_mnc_pds_digit_include_status | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_get_gsm_wcdma_acquisition_order_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_gsm_wcdma_acquisition_order_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasGsmWcdmaAcquisitionOrderPreference *value_gsm_wcdma_acquisition_order_preference,
                                    GError **error);

Get the 'GSM WCDMA Acquisition Order Preference' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_gsm_wcdma_acquisition_order_preference | a placeholder for the output QmiNasGsmWcdmaAcquisitionOrderPreference, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_set_gsm_wcdma_acquisition_order_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_gsm_wcdma_acquisition_order_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasGsmWcdmaAcquisitionOrderPreference value_gsm_wcdma_acquisition_order_preference,
                                    GError **error);

Set the 'GSM WCDMA Acquisition Order Preference' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_gsm_wcdma_acquisition_order_preference | a QmiNasGsmWcdmaAcquisitionOrderPreference. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_get_service_domain_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_service_domain_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasServiceDomainPreference *value_service_domain_preference,
                                    GError **error);

Get the 'Service Domain Preference' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_service_domain_preference | a placeholder for the output QmiNasServiceDomainPreference, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_set_service_domain_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_service_domain_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasServiceDomainPreference value_service_domain_preference,
                                    GError **error);

Set the 'Service Domain Preference' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_service_domain_preference | a QmiNasServiceDomainPreference. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_get_change_duration ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_change_duration
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasChangeDuration *value_change_duration,
                                    GError **error);

Get the 'Change Duration' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_change_duration | a placeholder for the output QmiNasChangeDuration, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_set_change_duration ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_change_duration
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasChangeDuration value_change_duration,
                                    GError **error);

Set the 'Change Duration' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_change_duration | a QmiNasChangeDuration. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_get_network_selection_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_network_selection_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasNetworkSelectionPreference *value_network_selection_preference_mode,
                                    guint16 *value_network_selection_preference_mcc,
                                    guint16 *value_network_selection_preference_mnc,
                                    GError **error);

Get the 'Network Selection Preference' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_network_selection_preference_mode | a placeholder for the output QmiNasNetworkSelectionPreference, or `NULL` if not required. | [out]
value_network_selection_preference_mcc | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_network_selection_preference_mnc | a placeholder for the output guint16, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_set_network_selection_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_network_selection_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasNetworkSelectionPreference value_network_selection_preference_mode,
                                    guint16 value_network_selection_preference_mcc,
                                    guint16 value_network_selection_preference_mnc,
                                    GError **error);

Set the 'Network Selection Preference' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_network_selection_preference_mode | a QmiNasNetworkSelectionPreference. |
value_network_selection_preference_mcc | a guint16. |
value_network_selection_preference_mnc | a guint16. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_get_lte_band_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_lte_band_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasLteBandPreference *value_lte_band_preference,
                                    GError **error);

Get the 'LTE Band Preference' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_lte_band_preference | a placeholder for the output QmiNasLteBandPreference, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_set_lte_band_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_lte_band_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasLteBandPreference value_lte_band_preference,
                                    GError **error);

Set the 'LTE Band Preference' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_lte_band_preference | a QmiNasLteBandPreference. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_get_roaming_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_roaming_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasRoamingPreference *value_roaming_preference,
                                    GError **error);

Get the 'Roaming Preference' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_roaming_preference | a placeholder for the output QmiNasRoamingPreference, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_set_roaming_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_roaming_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasRoamingPreference value_roaming_preference,
                                    GError **error);

Set the 'Roaming Preference' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_roaming_preference | a QmiNasRoamingPreference. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_get_cdma_prl_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_cdma_prl_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasCdmaPrlPreference *value_cdma_prl_preference,
                                    GError **error);

Get the 'CDMA PRL Preference' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_cdma_prl_preference | a placeholder for the output QmiNasCdmaPrlPreference, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_set_cdma_prl_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_cdma_prl_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasCdmaPrlPreference value_cdma_prl_preference,
                                    GError **error);

Set the 'CDMA PRL Preference' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_cdma_prl_preference | a QmiNasCdmaPrlPreference. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_get_band_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_band_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasBandPreference *value_band_preference,
                                    GError **error);

Get the 'Band Preference' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_band_preference | a placeholder for the output QmiNasBandPreference, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_set_band_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_band_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasBandPreference value_band_preference,
                                    GError **error);

Set the 'Band Preference' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_band_preference | a QmiNasBandPreference. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_get_mode_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_mode_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasRatModePreference *value_mode_preference,
                                    GError **error);

Get the 'Mode Preference' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_mode_preference | a placeholder for the output QmiNasRatModePreference, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_set_mode_preference ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_mode_preference
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    QmiNasRatModePreference value_mode_preference,
                                    GError **error);

Set the 'Mode Preference' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_mode_preference | a QmiNasRatModePreference. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_get_emergency_mode ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_emergency_mode
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    gboolean *value_emergency_mode,
                                    GError **error);

Get the 'Emergency mode' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_emergency_mode | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_input_set_emergency_mode ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_set_emergency_mode
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    gboolean value_emergency_mode,
                                    GError **error);

Set the 'Emergency mode' field in the message.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_emergency_mode | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_set_system_selection_preference_output_ref ()

    QmiMessageNasSetSystemSelectionPreferenceOutput *
    qmi_message_nas_set_system_selection_preference_output_ref
                                   (QmiMessageNasSetSystemSelectionPreferenceOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_set_system_selection_preference_output_unref ()

    void
    qmi_message_nas_set_system_selection_preference_output_unref
                                   (QmiMessageNasSetSystemSelectionPreferenceOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceOutput. |

Since: 1.0

### qmi_message_nas_set_system_selection_preference_output_get_result ()

    gboolean
    qmi_message_nas_set_system_selection_preference_output_get_result
                                   (QmiMessageNasSetSystemSelectionPreferenceOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_client_nas_set_system_selection_preference ()

    void
    qmi_client_nas_set_system_selection_preference
                                   (QmiClientNas *self,
                                    QmiMessageNasSetSystemSelectionPreferenceInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Set System Selection Preference request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_set_system_selection_preference_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
input | a QmiMessageNasSetSystemSelectionPreferenceInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_nas_set_system_selection_preference_finish ()

    QmiMessageNasSetSystemSelectionPreferenceOutput *
    qmi_client_nas_set_system_selection_preference_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_set_system_selection_preference()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_set_system_selection_preference()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasSetSystemSelectionPreferenceOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_set_system_selection_preference_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageNasSetSystemSelectionPreferenceInput

    typedef struct _QmiMessageNasSetSystemSelectionPreferenceInput QmiMessageNasSetSystemSelectionPreferenceInput;

The QmiMessageNasSetSystemSelectionPreferenceInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageNasSetSystemSelectionPreferenceOutput

    typedef struct _QmiMessageNasSetSystemSelectionPreferenceOutput QmiMessageNasSetSystemSelectionPreferenceOutput;

The QmiMessageNasSetSystemSelectionPreferenceOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0